Algol Minimum
POST
/algol-minimum
curl -X POST https://api.astroway.info/v1/algol-minimum \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "startDate": "2024-06-01", "endDate": "2024-06-30" }'const res = await fetch('https://api.astroway.info/v1/algol-minimum', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "startDate": "2024-06-01", "endDate": "2024-06-30" }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/algol-minimum', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'startDate': "2024-06-01", 'endDate': "2024-06-30" },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('algol-minimum', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'startDate' => '2024-06-01', 'endDate' => '2024-06-30', ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Find the nearest minimum brightness moment of Algol (Beta Persei) — the eclipsing variable star — within a date range.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
startDate required
string
endDate required
string
longitude
number
Example
{ "startDate": "2024-06-01", "endDate": "2024-06-30"}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
minima
Array<object>
object
date
string
time
string
jd
number
period
string
Example
{ "ok": true}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.